Pular para o conteúdo

/api/v1/llm-providers/{id} (GET)

GET
/api/v1/llm-providers/{id}
curl --request GET \
--url https://api.endless.zaia.app/api/v1/llm-providers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0
id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Retrieves an LLM provider.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
isRemoved
required
boolean
updatedAt
required
string format: date-time
apiKey
required

The API key used to authenticate with the LLM provider.

string
>= 1 characters <= 500 characters
description
required

The internal description of the LLM provider configuration.

string
nullable >= 3 characters <= 250 characters
name
required

The display name of the LLM provider configuration.

string
>= 3 characters <= 50 characters
referenceId
required

The optional reference ID associated with the LLM provider configuration.

string format: uuid
nullable
type
required

The upstream LLM provider type configured for this record.

string
Allowed values: openai anthropic google-ai openrouter xai
workspaceId
required

The workspace ID that owns the LLM provider configuration.

string format: uuid
Example
{
"type": "openai"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

LLM provider not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}